%define major	15
%define libname	%mklibname wim %{major}
%define devname	%mklibname wim -d

Summary:	Create, extract, and modify Windows Imaging (WIM) files
Name:		wimlib
Version:	1.11.0
Release:	%mkrel 1
License:	GPLv3
Group:		System/Libraries
Url:		http://wimlib.net/
Source0:	http://wimlib.net/downloads/%{name}-%{version}.tar.gz
BuildRequires:	libxml2-devel
BuildRequires:	fuse-devel
BuildRequires:	ntfs-3g-devel
BuildRequires:	attr-devel
BuildRequires:	gettext-devel
BuildRequires:	openssl-devel

Requires:	mkisofs
Requires:	mtools
Requires:	syslinux
Requires:	cabextract

%description
wimlib is a library that can be used to create, extract, and modify
files in the Windows Imaging Format. These files are normally created
by the 'imagex.exe' program on Windows, but this library provides a
free implementation of 'imagex' for UNIX-based systems. wimlib
supports mounting WIM files, just like imagex.exe.

%package -n %{libname}
Summary:	Library to create, extract, and modify Windows Imaging (WIM) files
Group:		System/Libraries

%description -n %{libname}
wimlib is a library that can be used to create, extract, and modify
files in the Windows Imaging Format. These files are normally created
by the 'imagex.exe' program on Windows, but this library provides a
free implementation of 'imagex' for UNIX-based systems. wimlib
supports mounting WIM files, just like imagex.exe.

%package -n %{devname}
Summary:	Headers for developing programs using wimlib
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the headers needed to build programs that will
use wimlib.

%prep
%setup -q

# drop prebuilt example binaries
make clean -C examples

%build
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files
%doc README NEWS COPYING*
%{_bindir}/mkwinpeimg
%{_bindir}/wim*
%{_mandir}/man1/mkwinpeimg*
%{_mandir}/man1/wim*

%files -n %{libname}
%{_libdir}/libwim.so.%{major}
%{_libdir}/libwim.so.%{major}.*

%files -n %{devname}
%doc examples
%{_includedir}/wimlib.h
%{_libdir}/pkgconfig/wimlib.pc
%{_libdir}/libwim.so


%changelog
* Sun Jan 29 2017 daviddavid <daviddavid> 1.11.0-1.mga6
+ Revision: 1084019
- new version: 1.11.0

* Tue Nov 01 2016 daviddavid <daviddavid> 1.10.0-1.mga6
+ Revision: 1064435
- new version: 1.10.0

* Mon Mar 21 2016 tv <tv> 1.9.1-2.mga6
+ Revision: 993714
- rebuild for new ntfs-3g

* Sun Mar 13 2016 daviddavid <daviddavid> 1.9.1-1.mga6
+ Revision: 990143
- new version: 1.9.1

* Sun Jan 31 2016 daviddavid <daviddavid> 1.9.0-1.mga6
+ Revision: 929331
- new version: 1.9.0

* Sun Nov 15 2015 daviddavid <daviddavid> 1.8.3-1.mga6
+ Revision: 903281
- new version: 1.8.3

* Mon Aug 24 2015 daviddavid <daviddavid> 1.8.2-1.mga6
+ Revision: 868927
- new version: 1.8.2

* Sat Aug 15 2015 daviddavid <daviddavid> 1.8.1-1.mga6
+ Revision: 864930
- new version: 1.8.1
- update URL and Source URL

* Sat Aug 15 2015 daviddavid <daviddavid> 1.7.1-5.mga6
+ Revision: 864919
- rebuild for ntfs-3g 2015.3.14

* Wed Oct 15 2014 umeabot <umeabot> 1.7.1-4.mga5
+ Revision: 742691
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.1-3.mga5
+ Revision: 690313
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 wally <wally> 1.7.1-2.mga5
+ Revision: 662505
- don't ship prebuilt example binaries with devel pkg

* Thu Aug 14 2014 wally <wally> 1.7.1-1.mga5
+ Revision: 662420
- new version 1.7.1
- clean .spec

  + mcb30 <mcb30>
    - imported package wimlib

